Bug 973475 - forced shutdown
forced shutdown
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 22:24 EDT by Rahul Sundaram
Modified: 2014-06-30 09:55 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:18:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen grab (1.98 MB, image/png)
2013-06-21 21:00 EDT, Simon Green
no flags Details
480p video of start up process (15.02 MB, video/mp4)
2013-07-12 22:44 EDT, Simon Green
no flags Details

  None (edit)
Description Rahul Sundaram 2013-06-11 22:24:59 EDT
Description of problem:

in the 3.9 series, the only kernel that works for me is a scratch build done from #964335 - 3.9.4-300.4.fc19.x86_64

the latest update (kernel-3.9.5-201.fc18.x86_64) doesn't crash but automatically shutdowns just as it is starting up.  Not sure whether this is a systemd issue or kernel.  If you need more info, let me know. 

For the record, 

rpm -q systemd kernel
systemd-201-2.fc18.7.x86_64
kernel-3.8.7-201.fc18.x86_64
kernel-3.8.8-202.fc18.x86_64
kernel-3.8.9-200.fc18.x86_64
kernel-3.8.11-200.fc18.x86_64
kernel-3.9.2-200.fc18.x86_64
kernel-3.9.3-201.fc18.x86_64
kernel-3.9.4-200.fc18.x86_64
kernel-3.9.4-300.4.fc19.x86_64
kernel-3.9.4-301.fc19.x86_64
kernel-3.9.5-201.fc18.x86_64
Comment 1 Josh Boyer 2013-06-12 07:16:09 EDT
Please attach the logs from the boot/shutdown sequence.
Comment 2 Simon Green 2013-06-21 21:00:24 EDT
Created attachment 764021 [details]
Screen grab

Nothing appears to be written in the log files, so I have attached a screenshot. If you want the full (video) of the start up sequence, let me know.

Still happens with kernel-3.9.6-200.fc18.x86_64 on my HP Pavilion g6 (64 bit, EFI enabled with an encrypted root file system). If there is any other information you need, or a koji build to try, let me know.

  -- simon
Comment 3 Josh Boyer 2013-06-25 11:13:39 EDT
I don't see anything in here that would indicate a kernel error.  If it boots to a point and then starts shutting down after that, we'd need to figure out why.  A video might help I guess.

You might also want to check the file sizes of the initramfs files in /boot.  Make sure they are of similar size.
Comment 4 Simon Green 2013-07-12 22:41:37 EDT
(In reply to Josh Boyer from comment #3)
> I don't see anything in here that would indicate a kernel error.  If it
> boots to a point and then starts shutting down after that, we'd need to
> figure out why.  A video might help I guess.

Uploaded. Worse quality than a cam scene rip, but oh well. Let me know if you need a higher quality video.
 
> You might also want to check the file sizes of the initramfs files in /boot.
> Make sure they are of similar size.

[simon@localhost ~]$ ls -l /boot/
total 117249
-rw-r--r--. 1 root root   122595 Dec 12  2012 config-3.6.10-4.fc18.x86_64
-rw-r--r--  1 root root   127595 Jun 14 05:01 config-3.9.6-200.fc18.x86_64
-rw-r--r--  1 root root   127627 Jul  6 02:46 config-3.9.9-201.fc18.x86_64
drwx------  3 root root    16384 Jan  1  1970 efi
drwxr-xr-x  2 root root     1024 Jun 27 08:28 extlinux
drwxr-xr-x. 3 root root     1024 Jun  8 15:26 grub2
-rw-------. 1 root root 19460886 May 21 12:50 initramfs-3.6.10-4.fc18.x86_64.img
-rw-------  1 root root 20586746 Jun 22 09:37 initramfs-3.9.6-200.fc18.x86_64.img
-rw-------  1 root root 20709890 Jul 13 11:52 initramfs-3.9.9-201.fc18.x86_64.img
-rw-r--r--  1 root root 30538904 Jun  8 16:24 initramfs-fedup.img
-rw-r--r--. 1 root root   560186 May 21 12:49 initrd-plymouth.img
drwx------. 2 root root    12288 May 21 12:38 lost+found
-rw-------. 1 root root  2515832 Dec 12  2012 System.map-3.6.10-4.fc18.x86_64
-rw-------  1 root root  2596212 Jun 14 05:01 System.map-3.9.6-200.fc18.x86_64
-rw-------  1 root root  2596883 Jul  6 02:46 System.map-3.9.9-201.fc18.x86_64
-rwxr-xr-x. 1 root root  4862486 Dec 12  2012 vmlinuz-3.6.10-4.fc18.x86_64
-rwxr-xr-x  1 root root  5075976 Jun 14 05:01 vmlinuz-3.9.6-200.fc18.x86_64
-rwxr-xr-x  1 root root  5078632 Jul  6 02:46 vmlinuz-3.9.9-201.fc18.x86_64
-rw-r--r--  1 root root  5054886 May 13 22:40 vmlinuz-fedup
Comment 5 Simon Green 2013-07-12 22:44:33 EDT
Created attachment 772934 [details]
480p video of start up process
Comment 6 Justin M. Forbes 2013-10-18 17:09:48 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 7 Justin M. Forbes 2013-11-27 11:18:38 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.

Note You need to log in before you can comment on or make changes to this bug.